using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using FiveChess;
using System.Runtime.Remoting;
using System.Runtime.Remoting.Channels;
using System.Runtime.Remoting.Channels.Tcp;
using System.Runtime.Remoting.Channels.Http;

namespace TestLib
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
            System.Runtime.Remoting.RemotingConfiguration.Configure(
                AppDomain.CurrentDomain.SetupInformation.ConfigurationFile);

            TcpChannel chn = new TcpChannel(0);
            game = (IGame)Activator.GetObject(
                 typeof(IGame), "tcp://localhost:5555/FiveChess");
        }

        FiveChess.IGame game; //= new FiveChess.Game();
        private void Form1_Load(object sender, EventArgs e)
        {

            this.remoteGame1.SetIGame(game);
            FiveChess.Player p = game.Join();
            this.remoteGame1.thePlayer = p;// FiveChess.Player.White;
            this.remoteGame2.SetIGame(game);
            p = game.Join();
            this.remoteGame2.thePlayer = p;// FiveChess.Player.Black;
        }
    }
}
