using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using FiveChess;
using System.Runtime.Remoting;
using System.Runtime.Remoting.Channels;
using System.Runtime.Remoting.Channels.Tcp;
using System.Runtime.Remoting.Channels.Http;
using System.Runtime.Serialization.Formatters;
using System.Collections;

namespace GameApp
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        FiveChess.IGame game;
        private void btnCreateGame_Click(object sender, EventArgs e)
        {

            //Զ̻Ϸ
            RemotingConfiguration.Configure(
                AppDomain.CurrentDomain.SetupInformation.ConfigurationFile);
            //ϷIPַ
            Uri uri = new Uri(RemoteGame.BuildRemotingUrl("localhost"));
            //ϷԶ̶
            game = (IGame)Activator.GetObject(
                typeof(IGame), uri.ToString());

            //Ϸ
            this.remoteGame1.SetIGame(game);
            FiveChess.Player p = game.Join();
            this.remoteGame1.thePlayer = p;

            Text = "Remoting "+"";
        }

        private void btnJoinGame_Click(object sender, EventArgs e)
        {
            //IPַ
            using (InputIP frmIp = new InputIP())
            {
                if (frmIp.ShowDialog() == DialogResult.OK)
                {

                    Uri uri = new Uri(RemoteGame.BuildRemotingUrl(frmIp.IP));
                    //ϷԶ̶
                    game = (IGame)Activator.GetObject(
                        typeof(IGame), uri.ToString());
                    //Ϸ
                    this.remoteGame1.SetIGame(game);
                    FiveChess.Player p = game.Join();
                    this.remoteGame1.thePlayer = p;
                    Text = "Remoting " + "ӵ" + frmIp.IP;
                }
            }
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            RegisterListenChannel();

        }
        private void RegisterListenChannel()
        {
            // ͨ÷еļ
            BinaryServerFormatterSinkProvider provider = new BinaryServerFormatterSinkProvider();
            provider.TypeFilterLevel = TypeFilterLevel.Full;
            // ͨ
            IDictionary props = new Hashtable();
            props["port"] = 0;
            //עTCPͨԼ˵ķ
            TcpChannel chn = new TcpChannel(props, null, provider);
            ChannelServices.RegisterChannel(chn);
       }
    }
}